%define realname python
%define modname python
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A19_%{modname}.ini

Summary:	Embedded Python for PHP4
Name:		php4-%{modname}
Version:	0.7.0
Release:	%mkrel 8
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/python
Source0:	%{modname}-%{version}.tar.bz2
Source1:	%{modname}.ini.bz2
Requires:	php4-cli
BuildRequires:	php4-devel
BuildRequires:	python-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
This extension allows the Python interpreter to be embedded inside
of PHP, allowing for the instantiate and manipulation of Python
objects from within PHP. 

%prep

%setup -q -n %{modname}-%{version}

#(peroyvind) fix hardcoded python version
%define	py_ver	%(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")
perl -pi -e "s#python2.2#python%{py_ver}#g" config*

%build

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php4.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-8mdv2007.0
+ Revision: 132282
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.7.0-7mdv2007.1
+ Revision: 123782
- rebuilt against new upstream php version (4.4.5)

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7.0-6mdv2007.1
+ Revision: 98748
- release bump due to hdlists borkiness
- Import php4-python



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7.0-5
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7.0-4mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7.0-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.7.0-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.7.0-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.7.0-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.7.0-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.7.0-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.7.0-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.7.0-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.7.0-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.7.0-1mdk
- rebuild for php 4.3.10

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 4.3.9_0.7.0-2mdk
- Rebuild for new python

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.7.0-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.7.0-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.7.0-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_0.7.0-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.7.0-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.7.0-1mdk
- conflicts with php-cgi mod_php
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.7.0-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.7.0-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 4.3.2_0.7.0-3mdk
- really rebuild against new python
- drop requires on lib

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.7.0-2mdk
- rebuilt against new python

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.7.0-1mdk
- initial cooker contrib
